"
 COPYRIGHT (c) 1991 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

View subclass:#LabelledEnterField
         instanceVariableNames:'labelField textField'
         classVariableNames:''
         poolDictionaries:''
         category:'Views-Interactors'
!

LabelledEnterField comment:'
COPYRIGHT (c) 1991 by Claus Gittinger
              All Rights Reserved

An EnterField with a name.

$Header: /cvs/stx/stx/libwidg2/Attic/LEnterFld.st,v 1.1 1994-08-05 01:24:02 claus Exp $
written winter 91 by claus
'!

!LabelledEnterField methodsFor:'initialization'!

initialize
    "setup; create the label and an enterfield"

    super initialize.

    labelField := Label in:self.
    labelField level:0.
    labelField origin:[margin @ (margin + textField margin)].
    textField := EditField in:self.
    textField origin:[(labelField origin x + labelField width) @ level]
              extent:[(self width 
                      - margin - margin
                      - labelField width) @ (textField heightIncludingBorder)].
    self keyboardHandler:textField

    "LabelledEnterField new realize"
! !

!LabelledEnterField methodsFor:'accessing'!

label:aString
    labelField label:aString
!

contents:aString
    textField contents:aString
! !
